System Requirements

EBradbury was designed using the latest in powerful web technologies, that means that to work you must be using an up-to-date browser. The supported browsers are listed below:

  • Google Chrome
  • Safari
  • FireFox
  • Internet Explorer (v8+)
 
We also require that you have JavaScript turned on. 
 
Just in-case you're not sure if you can run EBradbury, below you will see a message detailing if we support your current settings.

 

Unfortunately it looks like your system is out of date, consider contacting your IT department and asking them to take a look at upgrading your computer.